<?php

namespace WcElectronInvoice\Providers;

defined( 'ABSPATH' ) || die( 'Not allowed.' );

abstract class ProductAbstract {
	protected $product;

	public function __construct($product) {
		$this->product = $product;
	}

	abstract function get_id();
	abstract function get_sku();

	abstract function get_tax_class();
	abstract function get_tax_status();
}
